%define module_name	intel-537
%define module_version	2.27.39.0
%define module_release	alt2.17

%define kversion        2.4.22
%define krelease        alt17
%define flavour         std-up

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%define kgcc_package	gcc2.96


%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	kernel modules for Intel 537 series soft modems support
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	%{module_version}
Release:	%{module_release}
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1:		kernel-modules-intel-537-major-minor-change.patch
Patch2:		intel-537-2.27.39.0-export.patch

ExclusiveOS:	Linux
BuildPreReq:	kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-source-%{module_name}-%{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%{ix86}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

%description
kernel modules for Intel 537 series soft modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%{module_name}-%{module_version}

tar -jxvf %kernel_src/kernel-source-%{module_name}-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%patch1 -p1
%patch2 -p1

%build
PSTN_DEF="-DTARGET_CATAWBA -DTARGET_LINUX -DLINUX -Dsoftcore_init_struct=softcore_init_struct_intel_537"
kincdir="%_includedir/linux-%{kversion}-%{flavour}/include"
INCLUDES="-I$kincdir -I../inc -DMODVERSIONS -include $kincdir/linux/modversions.h"

make CC=%kcc -C coredrv   TARGET=TARGET_CATAWBA PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" 537core
make CC=%kcc -C serialdrv TARGET=TARGET_CATAWBA PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" 537

%install
mkdir -p %buildroot/%module_dir
%__install -p -m644 coredrv/537_core.o serialdrv/537.o \
	%buildroot/%module_dir/

mkdir -p %buildroot/%_docdir/%name-%version-%release
%__install -p -m644 license.txt readme.txt \
	%buildroot/%_docdir/%name-%version-%release/
	
%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt2.17
- Added EXPORT_NO_SYMBOLS to the softserial part.
- Changed softcore_init_struct function name to avoid clashes with other Intel
  modem drivers.

* Tue Dec 09 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.27.39.0-alt1.17
- Initial build

